[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Script errors while livecd-creator is running yum



Bruno Wolff III wrote:
While trying to make a custom games livedvd I saw some script errors
and was wondering if those were packaging errors or if livecd-creator
is doing something wrong. For example:
Installing: nethack ################### [ 404/1017] /var/tmp/rpm-tmp.ESYJZU: line 3: ln: command not found
warning: %post(nethack-3.4.3-18.fc10.i386) scriptlet failed, exit status 127
Installing: freedroidrpg ################### [ 405/1017] /var/tmp/rpm-tmp.4OX7tL: line 1: touch: command not found Installing: vdrift ################### [ 406/1017] /var/tmp/rpm-tmp.cBUzNR: line 1: touch: command not found Installing: foobillard ################### [ 407/1017] Installing: powermanga ################### [ 408/1017] /var/tmp/rpm-tmp.a6MlU7: line 1: touch: command not found
/var/tmp/rpm-tmp.a6MlU7: line 2: /usr/bin/gtk-update-icon-cache: No such file or directory


I have been experimenting with this quite a bit. In order to support your effort to add bugs on a per package basis, here is what I get on my custom builds after specifying coreutils as the first package in the lists:


Installing: jakarta-commons-io ################### [ 572/2185]/var/tmp/rpm-tmp.7GyUz8: line 4: cat: command not found

Installing: html401-dtds ################### [ 595/2185]/usr/bin/install-catalog: line 14: basename: command not found
/usr/bin/install-catalog: line 133: basename: command not found
/usr/bin/install-catalog: line 143: basename: command not found

Installing: bash-completion ################### [ 694/2185]/var/tmp/rpm-tmp.iAb8Ts: line 1: ln: command not found
/var/tmp/rpm-tmp.tCousI: line 1: ln: command not found
/var/tmp/rpm-tmp.YNfo7X: line 1: ln: command not found

Installing: adobe-release-i386 ################### [ 698/2185]/var/tmp/rpm-tmp.iydpaQ: line 3: rm: command not found

 Installing: coreutils                    ################### [ 846/2185]

I am sure there is nothing to be done about the adobe rpm, but if the others ( jakarta-commons-io, html401-dtds and bash-completion) were corrected, I would be happy.

I would also be nice if we could specify a high priority on a package ...



Thanks!


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]